## GimpProcBrowserDialog GimpProcBrowserDialog |

## Functions

GtkWidget * | gimp_proc_browser_dialog_new ()
gchar * | gimp_proc_browser_dialog_get_selected ()

## Signals

void | row-activated | Run Last
void | selection-changed | Run Last

## Types and Values

| GimpProcBrowserDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── GimpDialog
                                        ╰── GimpProcBrowserDialog

## Implemented Interfaces

GimpProcBrowserDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### gimp_proc_browser_dialog_new ()

    GtkWidget *
    gimp_proc_browser_dialog_new (const gchar *title,
                                  const gchar *role,
                                  GimpHelpFunc help_func,
                                  const gchar *help_id,
                                  ...);

Since: GIMP 2.4

### gimp_proc_browser_dialog_get_selected ()

    gchar *
    gimp_proc_browser_dialog_get_selected (GimpProcBrowserDialog *dialog);

Since: GIMP 2.4

## Types and Values

### GimpProcBrowserDialog

    typedef struct _GimpProcBrowserDialog GimpProcBrowserDialog;

## Signal Details

### The `“row-activated”` signal

    void
    user_function (GimpProcBrowserDialog *dialog,
                   gpointer               user_data)

Flags: Run Last

### The `“selection-changed”` signal

    void
    user_function (GimpProcBrowserDialog *dialog,
                   gpointer               user_data)

Flags: Run Last